#include "drmfile.h"

#ifdef QT_WS_S60
#include "Symbian/drmfile_p.h"
#else
#include "Simulator/drmfile_p.h"
#endif

DRMFile::DRMFile(QObject *parent) :
        QObject(parent), d_ptr(new DRMFilePrivate())
{
	
}

DRMFile::~DRMFile()
{

}

int DRMFile::open(const QString & name)
{
    Q_D(DRMFile);
    return d->open(name);
}

int DRMFile::read(char* data, int length)
{
    Q_D(DRMFile);
    return d->read(data, length);
}

void DRMFile::close()
{
    Q_D(DRMFile);
    d->close();
}

int DRMFile::size()
{
    Q_D(DRMFile);
    return d->size();
}

#ifdef SYMBIAN_ENABLE_64_BIT_FILE_SERVER_API
qint64 DRMFile::size64()
{
    Q_D(DRMFile);
    return d->size64();
}
#endif

bool DRMFile::isDRMError(int error)
{
    Q_D(DRMFile);
    return d->isDRMError(error);	
}
